; --------------------------------------------------------
;	File: dewpoint.h
;
;	Author: OH (c) acam-messelectronic gmbh 2014
;
;	Device: PCap04-Z
;
;   Description:
;                   
;           determines dew point temperature			
;                   k = ln( RH ) - ln( 100 ) + (m * theta)/(theta + Tn)
;           Dew Point = Tn * k / (m - k)
;
;               Tn = 243.12
;                m = 17.62
;                   
;                   parameter:
;					   - Akku A             :=    relative Humidity in % (0..100)
;                      - Stack + 0          :=    RH_FPP for input Akku A via Stack (6b)
;                      - ___arguments__ + 0 :=    temperature (8FPP)

;
;                   return value:
;                       - Akku B := dew point 8fpp
;
;                   dependencies:
;                       - <log.h>
;                       - <standard.h>
;                   
;                   
;           
;                   contains addresses to libraray elements (rom-routine)
;
;                   2014-06     created    
;                               
;
; ------------------------------------------------------------------------------------------------------------


#ifdef __dewpoint_h__
#else
    #define __dewpoint_h__
    
CONST __dewpoint_determination__  __dewpoint_ROM_START__
CONST __dewpoint_ROM_STOP__       __dewpoint_ROM_START__ + 128
    
    
    
#endif