; --------------------------------------------------------
;	File: gray2bin.h
;
;	Author: OH (c) acam-messelectronic gmbh 2014
;
;	Device: PCap04-Z
;
;   Description:
;                   
;               this function converts a 16bit gray-coded value in a binary value   ;
;                                                                             ;
;   parameter:                                                                ;
;       Akku B := Gray-Value In                                               ;
;       __temporary_variables__                                               ;
;                                                                             ;
;   Return Value:                                                             ;
;       Akku B                                                                ;
;                                                                             ;
;       call:                                                                 ;
;          jsb __sub_gray2bin__                                               ;
;                                                                             ;
;       local / temporary ram 1x                                              ;
;                                                                             ;
;       no global / persistent ram                                            ;
;                                                                             ;
;           
;                   contains addresses to libraray elements (rom-routine)
;
;                   2014-07     created    
;                               
;
; ------------------------------------------------------------------------------------------------------------


#ifdef __gray2bin_h__
#else
    #define __gray2bin_h__
    
CONST   __sub_gray2bin__        __gray2bin_ROM_START__
CONST   __gray2bin_ROM_STOP__   __gray2bin_ROM_START__ + 16
    
    
    
#endif