; ---------------------------------------------------------------------------------------

#ifdef __pcap04z_config_registers_h__
#else
#define __pcap04z_config_registers_h__
    ; #define __pcap04z_h__

;-------------------------------------------------------------------------------------
;
;   File__________: pcap_config.h
;
;   Author(s)_____: OH / FC / VK (c) acam-messelectronic gmbh 2015
;
;	Device________: PCap04-Z
;
;   Description___: configuration register addresses and names for pcap04z.
; 				    It contains no  commands  so  no program space is wasted.
;-------------------------------------------------------------------------------------



CONST CFG_ADD_OFFSET			960				; Start address of config in NVRAM

; -------- Register 13
CONST CFG_ADD_C_TRIG_SEL		13		+ 	CFG_ADD_OFFSET

CONST CFG_BM_C_TRIG_SEL			0x1C			; Bit Mask for C_TRIG_SEL

; -------- Register 23
CONST CFG_ADD_R_PORT_EN_IREF	23		+	CFG_ADD_OFFSET

CONST CFG_BM_R_PORT_EN_IREF		0x10			; Bit Mask for R_PORT_EN_IREF


; -------- Register 30
CONST CFG_ADD_DSP_START_ON_CDC	30		+ 	CFG_ADD_OFFSET

CONST CFG_BM_DSP_START_ON_CDC	0x01			; Bit Mask for DSP_START_ON_CDC

; -------- Register 35
CONST CFG_ADD_C_GAIN_CORR		35		+	CFG_ADD_OFFSET				; Address of 3 bytes of __sub_cdc_gain_corr__

; -------- Register 38
CONST CFG_ADD_BG_TIME			38		+	CFG_ADD_OFFSET

; -------- Register 39
CONST CFG_ADD_Pulse_Select		39		+	CFG_ADD_OFFSET

; -------- Register 40
CONST CFG_ADD_C_SENSE_SEL		40		+	CFG_ADD_OFFSET				; Number of Capacitance port to be used for linearization

; -------- Register 41
CONST CFG_ADD_R_SENSE_SEL		41		+	CFG_ADD_OFFSET				; Number of Resistance port to be used for linearization

; -------- Register 42
CONST CFG_ADD_EXTERNAL_FLAGS	42		+	CFG_ADD_OFFSET

CONST CFG_BM_C_MEDIAN_EN		0x01			; Bit Mask for C_MEDIAN_EN ; Enable median filter for CDC values
CONST CFG_BM_R_MEDIAN_EN		0x02			; Bit Mask for R_MEDIAN_EN ; Enable median filter for RDC values
CONST CFG_BM_HS_MODE_SEL		0x04			; Bit Mask for HS_MODE_SEL ; Select High Speed Mode
CONST CFG_BM_EN_ASYNC_RD		0x08			; Bit Mask for EN_ASYNC_RD ; Enable asynchronous reading through the serial interface

CONST CFG_BM_ALARM0_SELECT		0x10			; Bit masks for Alarm 0 and Alarm 1 Select 
CONST CFG_BM_ALARM1_SELECT		0x20

; -------- Register 43
CONST CFG_ADD_RESULT_ALIGN_EN	43		+	CFG_ADD_OFFSET
