; ---------------------------------------------------------------------------------------

#ifdef __pcap04z_h__
#else
#define __pcap04z_h__
    ; #define __pcap04z_h__

;-------------------------------------------------------------------------------------
;
;   File__________: pcap_standard.h
;
;   Author(s)_____: OH / FC / VK (c) acam-messelectronic gmbh 2014
;
;	Device________: PCap04-Z
;
;   Description___: standard  library  for pcap04z  firmware  projects.  this  library
;					contains the major address-mappings and names for the pcap04z this
;					file  should  be always included. It contains no  commands  so  no
;					program space is wasted.
;-------------------------------------------------------------------------------------




;--------------------------------------------------------------------*/
;- Temp. Variables and Arguments Def. -------------------------------*/
;--------------------------------------------------------------------*/	
	CONST __arguments__				82
	CONST __number_of_arguments__	10		; Changed to accommodate libraries
	CONST __temporary_variables__	__arguments__ - __number_of_arguments__
	
	CONST Arg_0						__arguments__ - 8			
	CONST Arg_1						__arguments__ - 7			
	CONST Arg_2						__arguments__ - 6			
	CONST Arg_3						__arguments__ - 5			
	CONST Arg_4						__arguments__ - 4			
	CONST Arg_5						__arguments__ - 3			
	CONST Arg_6						__arguments__ - 2			
	CONST Arg_7						__arguments__ - 1			
	CONST Arg_8						__arguments__ - 0			
	
	
    CONST Mi	95			
	CONST M_internal_ref	Mi - 1
	CONST M5	M_internal_ref - 1
	CONST M4	M5  - 1
	CONST M3	M4  - 1
	CONST M2	M3  - 1
	CONST M1	M2  - 1
	CONST M0	M1  - 1
    CONST TM3   M0  - 1						
    CONST TM2   TM3 - 1
    CONST TM1   TM2 - 1
    CONST TM0   TM1 - 1
    
	CONST M0_plus_M1		M0
	CONST M2_plus_M3		M1
	CONST M4_plus_M5		M2
	CONST M01 				M3
	CONST M23 				M4
	CONST M45 				M5
    
    CONST RDC_int_ref   TM0
    CONST RDC_ext0      TM1
    CONST RDC_ext1      TM2
    CONST RDC_int_sense TM3
    
    CONST RDC_ratio     0
    CONST RDC_inverse   1
    
; --------------------------------------------------------------------*/
; - RAM-Addresses OUT (&IN) ------------------------------------------*/
; --------------------------------------------------------------------*/    
    
    CONST FLAGREG	96
	CONST RES00		97
	CONST RES01		98
	CONST RES02		99
	CONST RES03		100
	CONST RES04		101
	CONST RES05		102
	CONST RES06		103
	CONST RES07		104
    
	CONST RES0		 RES00		
	CONST RES1		 RES01		
	CONST RES2		 RES02		
	CONST RES3		 RES03		
	CONST RES4		 RES04		
	CONST RES5		 RES05		
	CONST RES6		 RES06		
	CONST RES7		 RES07		
    

	CONST DPTR0		105
	CONST DPTR1		106
	CONST DPTR2		107
	CONST DPTR3		108

	CONST PULSE1	109 ; PI1_REF
	CONST PULSE0	110	; PI0_REF
	CONST TIMER0	111
    CONST mem_ctrl	112

; --------------------------------------------------------------------*/
; - RAM-Addresses IN -------------------------------------------------*/
; --------------------------------------------------------------------*/
	CONST sec_exp			97
	CONST rad_exp			97
	CONST rad_stack_32b		98
	CONST rad_stack_30b		99
	CONST rad_stack_24b		100
	CONST rad_stack_18b		101
	CONST rad_stack_12b		102
	CONST rad_stack_6b		103
    

    CONST mem_add			113
	CONST mem_data          114
    CONST mem_data_32b      114
    CONST mem_data_s24b     115
    CONST mem_data_s16b     116
    CONST mem_data_s08b     117
    CONST mem_data_u24b     118
    CONST mem_data_u16b     119
    CONST mem_data_u08b     120
    
    CONST tdc_start         121
    CONST tdc_stop          122
    CONST cdc_add           123
    CONST rdc_add           124 
    
	


    
	CONST PORTINFO  126

;--------------------------------------------------------------------*/
;- Simple Output Bits DSP -------------------------------------------*/
;--------------------------------------------------------------------*/
	CONST IOBIT_00		0
	CONST IOBIT_01		1
	CONST IOBIT_02		2
	CONST IOBIT_03		3
	CONST IOBIT_04		4
	CONST IOBIT_05		5
	CONST IOBIT_06		6
	CONST IOBIT_07		7
	CONST IOBIT_08		8
	CONST IOBIT_09		9
	CONST IOBIT_10		10
	CONST IOBIT_11		11
	CONST IOBIT_12		12
	CONST IOBIT_13		13
	CONST IOBIT_14		14
	CONST IOBIT_15		15
   
	CONST DSP_OUT_0		00
	CONST DSP_OUT_1		01
	CONST DSP_OUT_2		02
	CONST DSP_OUT_3		03
	CONST DSP_OUT_4		04
	CONST DSP_OUT_5		05
	CONST DSP_OUT_6		06
	CONST DSP_OUT_7		07
	CONST TRIG_CDC		08
	CONST TRIG_RDC		09
	CONST PAGESEL_OUT	10
	CONST INTERRUPT_OUT	11
	CONST MEM_RD		12
	CONST RST_C_TDC		13
	CONST MEM_PUSH		14
	CONST TRIG_BG		15

;--------------------------------------------------------------------*/
;- Register PortInfo ------------------------------------------------*/
;--------------------------------------------------------------------*/
	CONST PC_ENALBED_0	0
	CONST PC_ENALBED_1	1
	CONST PC_ENALBED_2	2
	CONST PC_ENALBED_3	3
	CONST PC_ENALBED_4	4
	CONST PC_ENALBED_5	5
	CONST PC_ENALBED_6	6
	CONST PC_ENALBED_7	7
	CONST PC_ERROR_0	8 
	CONST PC_ERROR_1	9 
	CONST PC_ERROR_2	10
	CONST PC_ERROR_3	11
	CONST PC_ERROR_4	12
	CONST PC_ERROR_5	13
	CONST PC_ERROR_6	14
	CONST PC_ERROR_7	15

;--------------------------------------------------------------------*/
;- Control Signals via FLAGREG --------------------------------------*/
;--------------------------------------------------------------------*/
;	CONST ...					00
;	CONST ...					01
;	CONST ...					02
	CONST RDCHG_COMP_INT_SEL	03
	CONST FIRSTART_N			04
	CONST FLAG_CDC_INV	 		05	; For cdc.lib
	CONST SIGNED_VALUE_NV		05	; User defined temporary flag to be set/cleared to read signed/unsigned values 
	CONST USER_TEMP_FLAG		06	; Temporary flag for cdc.lib
	CONST SIGN_FLAG_2PT			06	; Temporary flag for 2pt_calibration.lib
	CONST SIGN_FLAG_PULSE		06	; Temporary flag for pulse.lib
	CONST SIGN_FLAG				06	; Temporary flag used in capacitance_polynomial.lib etc.
	CONST LIN_3BYTE_COEFF		07	; Temporary flag used in polynomial_3rd_degree.lib to read 3-byte or 4-byte coefficients
;	CONST ...					05
;	CONST ...					06
;	CONST ...					07
	CONST RST_RDC				08 ; (pulsed)
;	CONST ...					09
;	Reserved					10..15
;	free to use(no initialized)	16..31

;--------------------------------------------------------------------*/
;- Start Flags / Jump Condition Input -------------------------------*/
;--------------------------------------------------------------------*/
	CONST JMP_IOBIT_07	63
	CONST JMP_IOBIT_06	62
	CONST JMP_IOBIT_05	61
	CONST JMP_IOBIT_04	60
	CONST JMP_IOBIT_03	59
	CONST JMP_IOBIT_02	58
	CONST JMP_IOBIT_01	57
	CONST JMP_IOBIT_00	56
	
	CONST FLG_START8	31
	CONST FLG_START7	55
	CONST FLG_START6	54
	CONST FLG_START5	53
	CONST FLG_START4	52
	CONST FLG_START3	51
	CONST FLG_START2	50
	CONST FLG_START1	49
	CONST FLG_START0	48
 
	CONST ALU_OFLC		47 
	CONST ALU_OFLS		46 
	CONST ALU_CARC		45 
	CONST ALU_CARS		44 
	CONST ALU_EQ		43 
	CONST ALU_NE		42 
	CONST ALU_POS		41 
	CONST ALU_NEG		40

	CONST ALU_ON		47 
	CONST ALU_O			46 
	CONST ALU_CN		45 
	CONST ALU_C			44 
	CONST ALU_Z			43 
	CONST ALU_ZN		42 
	CONST ALU_S			41
	CONST ALU_SN		40 

	CONST FLAGREG_BIT7			39
	CONST FLAGREG_BIT6			38
	CONST FLAGREG_BIT5			37
	CONST FLAGREG_BIT4			36
	CONST FLAGREG_BIT3			35
	CONST FLAGREG_BIT2			34
	CONST FLAGREG_BIT1			33
	CONST FLAGREG_BIT0			32

	CONST FLAGREG_BIT07			39
	CONST FLAGREG_BIT06			38
	CONST FLAGREG_BIT05			37
	CONST FLAGREG_BIT04			36
	CONST FLAGREG_BIT03			35
	CONST FLAGREG_BIT02			34
	CONST FLAGREG_BIT01			33
	CONST FLAGREG_BIT00			32

	CONST SIGN_FLAG_2PT_JCD		32 + SIGN_FLAG_2PT		; Conditional jump on temporary flag SIGN_FLAG_2PT
	CONST SIGN_FLAG_PULSE_JCD	32 + SIGN_FLAG_PULSE	; Conditional jump on temporary flag SIGN_FLAG_PULSE
	CONST SIGNED_VALUE_NV_JCD	32 + SIGNED_VALUE_NV	; Conditional jump on temporary flag SIGNED_VALUE_NV
	CONST FLAG_CDC_INV_JCD		32 + FLAG_CDC_INV		; Conditional jump on temporary flag FLAG_CDC_INV
	CONST USER_TEMP_FLAG_JCD	32 + USER_TEMP_FLAG		; Conditional jump on temporary flag USER_TEMP_FLAG
	CONST LIN_3BYTE_COEFF_JCD	32 + LIN_3BYTE_COEFF
	
;	CONST FLG_START8			31
;	CONST ...			30
;	CONST ...			29
;	CONST ...			28
;	CONST ...			27
;	CONST ...			26


	CONST LAST_CYCLE_ACTIVE	26	
	CONST CDC_BSY			25	
	CONST CDC_RDY_N			CDC_BSY

	CONST POR_FLAG_WDG_N	24
	CONST POR_FLAG_CONFIG_N 23
;	CONST ...				22
	CONST AUTOSTART_N		21
	CONST C_REF_INT_N		20
	CONST TIMER0_BUSY		19

	CONST TRUE 				18	; Constant for unconditional Jump
	CONST true 				18	; Constant for unconditional Jump
	
	CONST INT_TRIG_BG_N		17
	CONST CDC_TRIG_BG_N		16
	CONST C_COMP_EXT_N		15
	CONST C_COMP_INT_N		14
	CONST C_DIFFERENTIAL_N	13
	CONST C_SINGLE			13
	CONST C_FLOATING_N		12
	CONST C_GROUNDED  		12
	CONST ERR_OVFL_N		11
	CONST COMB_ERR_N		10
	CONST CYC_ACTIVE_N		09
	CONST CDC_BSY_N			CYC_ACTIVE_N
	CONST CDC_RDY			CYC_ACTIVE_N

	CONST RAM_BUSY			07
	CONST INTERRUPT_IN_N	06
	CONST TEMPERR_N			05
	CONST TENDFLAG_N		04
	CONST RDC_BUSY			04
	CONST DSP_INN_3			03
	CONST DSP_INN_2			02
	CONST DSP_INN_1			01
	CONST DSP_INN_0			00

	CONST AWAKE_TRIGGERED_N     FLG_START8
	CONST SIF_TRIGGERED_N       FLG_START7
	CONST SPI_TRIGGERED_N       FLG_START7
	CONST PIN_TRIGGERED_N       FLG_START6
	CONST TDC_R_TRIGGERED_N		FLG_START5
	CONST TDC_C_TRIGGERED_N		FLG_START4
	CONST INTN_TRIGGERED_N      FLG_START3
	CONST TIMER0_IRQ_N			FLG_START2
	CONST RDC_TRIGGERED_N       FLG_START1
	CONST CDC_TRIGGERED_N       FLG_START0

	CONST DSP_IN_0	48
	CONST DSP_IN_1	49
	CONST DSP_IN_2	50
	CONST DSP_IN_3	51
	CONST DSP_IN_4	52
	CONST DSP_IN_5  53
    
;--------------------------------------------------------------------*/
;- Rare Constants ---------------------------------------------------*/
;--------------------------------------------------------------------*/
	; CONST pop		281
	CONST incr		282        
	CONST decr		283
	      
	CONST ext0		284
	CONST ext1		285
	CONST ext2		286
	CONST ext3		287       
	CONST _at_DPTR0		ext0
	CONST _at_DPTR1		ext1
	CONST _at_DPTR2		ext2
	CONST _at_DPTR3		ext3

    CONST load2exp_r    0xe1c07a        ; usage: "load2exp r, <val>"    =>     equal load2exp_r + <val>*256
                                        ; 'rad_opc sec_exp'; 'rad_opc <val>'; 'bitS PAGE_SEL'
;--------------------------------------------------------------------*/
;- Firmware Version -------------------------------------------------*/
;--------------------------------------------------------------------*/
	CONST FW_VERSION		4013

;--------------------------------------------------------------------*/
;- Firmware groups --------------------------------------------------*/
;--------------------------------------------------------------------*/
	CONST FWG_Humidity		    0x010000
	CONST FWG_Pressure		    0x020000
	CONST FWG_Capacitance    	0x030000
	CONST FWG_Button		    0x040000
	CONST FWG_Demonstrators    	0x050000
	CONST FWG_ExampleFirmware   0x060000
	
	CONST FWG_Customer          0x070000

;--------------------------------------------------------------------*/
;- Firmware types ---------------------------------------------------*/
;--------------------------------------------------------------------*/

;	FWG_Humidity
	CONST FWT_LCD_EVA		0x000100
	CONST FWT_IST			0x001000

;	FWG_Capacitance
	CONST FWT_Standard      0x000100
	CONST FWT_Linearize     0x000200

;	FWG_Demonstrators
	CONST FWT_LevelMeter	0x000100

;	FWG_ExampleFirmware
	CONST FWT_Temperature	0x000100

;	FWG_Customer 
	CONST Customer01        0x000100
	CONST Customer02        0x000200
	CONST Customer03        0x000300

#endif









