; ----------------------------------------------------------------------------;
;	File: rdc.h                                                               ;
;                                                                             ;
;	Author: OH (c) acam-messelectronic gmbh 2014                              ;
;                                                                             ;
;   Description:                                                              ;
;           determination of rdc - ratios                                     ;
;           function determins ratios of TM0..TM3 ./ TMref                    ;
;           or their reciprocal values                                        ;
;           Reference is selected via stack                                   ;
;                                                                             ;
;                                                                             ;
;   parameter:                                                                ;
;       stack - 0           := select reference value                         ;
;       stack - 1           := set fpp for result                             ;
;                                                                             ;
;                                                                             ;
;                                                                             ;
;                                                                             ;
;   local / temporary ram  6 (3 + 3 math.lib )                                               ;
;                                                                             ;
;                                                                             ;
;   usage:                                                                    ;
;                                                                             ;
;        push rdc_fpp                                                         ;
;        push RDC_int_ref                                                     ;
;        jsb __sub_rdc__                                                      ;
;                                                                             ;
;                                                                             ;
; ----------------------------------------------------------------------------;

#ifdef __rdc_h__
#else
    #define __rdc_h__
    
CONST __sub_rdc__            __rdc_ROM_START__
CONST __sub_rdc_inverse__    __rdc_ROM_START__       +  32
CONST __rdc_ROM_STOP__       __sub_rdc_inverse__     +  64
    
    
    
#endif