; --------------------------------------------------------
;	File: standard.h
;
;	Author: OH (c) acam-messelectronic gmbh 2014
;
;	Device: PCap04-Z
;
;   Description:
;                   standard library
;           
;                   contains addresses to libraray elements (rom-routine)
;
;                   2014-06     created    
;                               
;                   shiftR_B_48  .. shiftR_B_01
;                   shiftL_A_48  .. shiftL_A_01
;                   mult_48      .. mult_01
;                   div_49       .. div_01
;
; ------------------------------------------------------------------------------------------------------------


#ifdef __standard_h__
#else
    #define __standard_h__
    

CONST shiftR_B_32   __STANDARD_ROM_START__
CONST shiftR_B_31   shiftR_B_32 + 1
CONST shiftR_B_30   shiftR_B_31 + 1
CONST shiftR_B_29   shiftR_B_30 + 1
CONST shiftR_B_28   shiftR_B_29 + 1
CONST shiftR_B_27   shiftR_B_28 + 1
CONST shiftR_B_26   shiftR_B_27 + 1
CONST shiftR_B_25   shiftR_B_26 + 1
CONST shiftR_B_24   shiftR_B_25 + 1
CONST shiftR_B_23   shiftR_B_24 + 1
CONST shiftR_B_22   shiftR_B_23 + 1
CONST shiftR_B_21   shiftR_B_22 + 1
CONST shiftR_B_20   shiftR_B_21 + 1
CONST shiftR_B_19   shiftR_B_20 + 1
CONST shiftR_B_18   shiftR_B_19 + 1
CONST shiftR_B_17   shiftR_B_18 + 1
CONST shiftR_B_16   shiftR_B_17 + 1
CONST shiftR_B_15   shiftR_B_16 + 1
CONST shiftR_B_14   shiftR_B_15 + 1
CONST shiftR_B_13   shiftR_B_14 + 1
CONST shiftR_B_12   shiftR_B_13 + 1
CONST shiftR_B_11   shiftR_B_12 + 1
CONST shiftR_B_10   shiftR_B_11 + 1
CONST shiftR_B_09   shiftR_B_10 + 1
CONST shiftR_B_08   shiftR_B_09 + 1
CONST shiftR_B_07   shiftR_B_08 + 1
CONST shiftR_B_06   shiftR_B_07 + 1
CONST shiftR_B_05   shiftR_B_06 + 1
CONST shiftR_B_04   shiftR_B_05 + 1
CONST shiftR_B_03   shiftR_B_04 + 1
CONST shiftR_B_02   shiftR_B_03 + 1
CONST shiftR_B_01   shiftR_B_02 + 1
CONST shiftR_B_00   shiftR_B_01 + 1 ; jrt

CONST shiftL_B_32   shiftR_B_00 + 1
CONST shiftL_B_31   shiftL_B_32 + 1
CONST shiftL_B_30   shiftL_B_31 + 1
CONST shiftL_B_29   shiftL_B_30 + 1
CONST shiftL_B_28   shiftL_B_29 + 1
CONST shiftL_B_27   shiftL_B_28 + 1
CONST shiftL_B_26   shiftL_B_27 + 1
CONST shiftL_B_25   shiftL_B_26 + 1
CONST shiftL_B_24   shiftL_B_25 + 1
CONST shiftL_B_23   shiftL_B_24 + 1
CONST shiftL_B_22   shiftL_B_23 + 1
CONST shiftL_B_21   shiftL_B_22 + 1
CONST shiftL_B_20   shiftL_B_21 + 1
CONST shiftL_B_19   shiftL_B_20 + 1
CONST shiftL_B_18   shiftL_B_19 + 1
CONST shiftL_B_17   shiftL_B_18 + 1
CONST shiftL_B_16   shiftL_B_17 + 1
CONST shiftL_B_15   shiftL_B_16 + 1
CONST shiftL_B_14   shiftL_B_15 + 1
CONST shiftL_B_13   shiftL_B_14 + 1
CONST shiftL_B_12   shiftL_B_13 + 1
CONST shiftL_B_11   shiftL_B_12 + 1
CONST shiftL_B_10   shiftL_B_11 + 1
CONST shiftL_B_09   shiftL_B_10 + 1
CONST shiftL_B_08   shiftL_B_09 + 1
CONST shiftL_B_07   shiftL_B_08 + 1
CONST shiftL_B_06   shiftL_B_07 + 1
CONST shiftL_B_05   shiftL_B_06 + 1
CONST shiftL_B_04   shiftL_B_05 + 1
CONST shiftL_B_03   shiftL_B_04 + 1
CONST shiftL_B_02   shiftL_B_03 + 1
CONST shiftL_B_01   shiftL_B_02 + 1
CONST shiftL_B_00   shiftL_B_01 + 1 ; jrt

CONST shiftR_A_32   shiftL_B_00 + 1
CONST shiftR_A_31   shiftR_A_32 + 1
CONST shiftR_A_30   shiftR_A_31 + 1
CONST shiftR_A_29   shiftR_A_30 + 1
CONST shiftR_A_28   shiftR_A_29 + 1
CONST shiftR_A_27   shiftR_A_28 + 1
CONST shiftR_A_26   shiftR_A_27 + 1
CONST shiftR_A_25   shiftR_A_26 + 1
CONST shiftR_A_24   shiftR_A_25 + 1
CONST shiftR_A_23   shiftR_A_24 + 1
CONST shiftR_A_22   shiftR_A_23 + 1
CONST shiftR_A_21   shiftR_A_22 + 1
CONST shiftR_A_20   shiftR_A_21 + 1
CONST shiftR_A_19   shiftR_A_20 + 1
CONST shiftR_A_18   shiftR_A_19 + 1
CONST shiftR_A_17   shiftR_A_18 + 1
CONST shiftR_A_16   shiftR_A_17 + 1
CONST shiftR_A_15   shiftR_A_16 + 1
CONST shiftR_A_14   shiftR_A_15 + 1
CONST shiftR_A_13   shiftR_A_14 + 1
CONST shiftR_A_12   shiftR_A_13 + 1
CONST shiftR_A_11   shiftR_A_12 + 1
CONST shiftR_A_10   shiftR_A_11 + 1
CONST shiftR_A_09   shiftR_A_10 + 1
CONST shiftR_A_08   shiftR_A_09 + 1
CONST shiftR_A_07   shiftR_A_08 + 1
CONST shiftR_A_06   shiftR_A_07 + 1
CONST shiftR_A_05   shiftR_A_06 + 1
CONST shiftR_A_04   shiftR_A_05 + 1
CONST shiftR_A_03   shiftR_A_04 + 1
CONST shiftR_A_02   shiftR_A_03 + 1
CONST shiftR_A_01   shiftR_A_02 + 1
CONST shiftR_A_00   shiftR_A_01 + 1 ; jrt

CONST shiftL_A_32   shiftR_A_00 + 1
CONST shiftL_A_31   shiftL_A_32 + 1
CONST shiftL_A_30   shiftL_A_31 + 1
CONST shiftL_A_29   shiftL_A_30 + 1
CONST shiftL_A_28   shiftL_A_29 + 1
CONST shiftL_A_27   shiftL_A_28 + 1
CONST shiftL_A_26   shiftL_A_27 + 1
CONST shiftL_A_25   shiftL_A_26 + 1
CONST shiftL_A_24   shiftL_A_25 + 1
CONST shiftL_A_23   shiftL_A_24 + 1
CONST shiftL_A_22   shiftL_A_23 + 1
CONST shiftL_A_21   shiftL_A_22 + 1
CONST shiftL_A_20   shiftL_A_21 + 1
CONST shiftL_A_19   shiftL_A_20 + 1
CONST shiftL_A_18   shiftL_A_19 + 1
CONST shiftL_A_17   shiftL_A_18 + 1
CONST shiftL_A_16   shiftL_A_17 + 1
CONST shiftL_A_15   shiftL_A_16 + 1
CONST shiftL_A_14   shiftL_A_15 + 1
CONST shiftL_A_13   shiftL_A_14 + 1
CONST shiftL_A_12   shiftL_A_13 + 1
CONST shiftL_A_11   shiftL_A_12 + 1
CONST shiftL_A_10   shiftL_A_11 + 1
CONST shiftL_A_09   shiftL_A_10 + 1
CONST shiftL_A_08   shiftL_A_09 + 1
CONST shiftL_A_07   shiftL_A_08 + 1
CONST shiftL_A_06   shiftL_A_07 + 1
CONST shiftL_A_05   shiftL_A_06 + 1
CONST shiftL_A_04   shiftL_A_05 + 1
CONST shiftL_A_03   shiftL_A_04 + 1
CONST shiftL_A_02   shiftL_A_03 + 1
CONST shiftL_A_01   shiftL_A_02 + 1
CONST shiftL_A_00   shiftL_A_01 + 1 ; jrt

CONST mult_32   shiftL_A_00 + 1
CONST mult_31   mult_32 + 1
CONST mult_30   mult_31 + 1
CONST mult_29   mult_30 + 1
CONST mult_28   mult_29 + 1
CONST mult_27   mult_28 + 1
CONST mult_26   mult_27 + 1
CONST mult_25   mult_26 + 1
CONST mult_24   mult_25 + 1
CONST mult_23   mult_24 + 1
CONST mult_22   mult_23 + 1
CONST mult_21   mult_22 + 1
CONST mult_20   mult_21 + 1
CONST mult_19   mult_20 + 1
CONST mult_18   mult_19 + 1
CONST mult_17   mult_18 + 1
CONST mult_16   mult_17 + 1
CONST mult_15   mult_16 + 1
CONST mult_14   mult_15 + 1
CONST mult_13   mult_14 + 1
CONST mult_12   mult_13 + 1
CONST mult_11   mult_12 + 1
CONST mult_10   mult_11 + 1
CONST mult_09   mult_10 + 1
CONST mult_08   mult_09 + 1
CONST mult_07   mult_08 + 1
CONST mult_06   mult_07 + 1
CONST mult_05   mult_06 + 1
CONST mult_04   mult_05 + 1
CONST mult_03   mult_04 + 1
CONST mult_02   mult_03 + 1
CONST mult_01   mult_02 + 1
CONST mult_00   mult_01 + 1 ; jrt

CONST div_34    mult_00 + 1
CONST div_33    div_34 + 1
CONST div_32    div_33 + 1
CONST div_31    div_32 + 1
CONST div_30    div_31 + 1
CONST div_29    div_30 + 1
CONST div_28    div_29 + 1
CONST div_27    div_28 + 1
CONST div_26    div_27 + 1
CONST div_25    div_26 + 1
CONST div_24    div_25 + 1
CONST div_23    div_24 + 1
CONST div_22    div_23 + 1
CONST div_21    div_22 + 1
CONST div_20    div_21 + 1
CONST div_19    div_20 + 1
CONST div_18    div_19 + 1
CONST div_17    div_18 + 1
CONST div_16    div_17 + 1
CONST div_15    div_16 + 1
CONST div_14    div_15 + 1
CONST div_13    div_14 + 1
CONST div_12    div_13 + 1
CONST div_11    div_12 + 1
CONST div_10    div_11 + 1
CONST div_09    div_10 + 1
CONST div_08    div_09 + 1
CONST div_07    div_08 + 1
CONST div_06    div_07 + 1
CONST div_05    div_06 + 1
CONST div_04    div_05 + 1
CONST div_03    div_04 + 1
CONST div_02    div_03 + 1
CONST div_01    div_02 + 1
CONST div_00    div_01 + 1 ; jrt

CONST __STANDARD_ROM_STOP__ div_00 + 9
    
    
#endif